Page MenuHomePhabricator

Set $wgContentHandlerUseDB = true on all WMF wikis
Closed, ResolvedPublic

Description

The schema change to add the content handler DB columns completed in October 2014 (details below).
This bug is now about turning on $wgContentHandlerUseDB on all WMF wikis

https://meta.wikimedia.org/wiki/Wikidata/Notes/ContentHandler: "Model and format may both change from revision to revision, though this may be confusing"
But T72901 addressed this: users can't change the content model of other users' pages unless they have editcontentmodel right (and we have not yet handed out this right).

http://lists.wikimedia.org/pipermail/wikitech-l/2012-March/059358.html


Version: unspecified
Severity: enhancement


DB change (completed)

gerrit change Id4e0f40c added the content model columns, @Springle completed the DB changes in October 2014.

All wikis
tables: page, revision, archive
changes: Content handler columns

MediaWiki cannot operate without these columns (fatal error) unless their use in core is disabled with wgContentHandlerUseDB (will be in wmf-production starting 1.21wmf2)
So gerrit 30068 disabled it pre-emptively in InitializeSettings.php --reedy

Adding rev_content_format field to table revision...
Adding rev_content_model field to table revision...
Adding ar_content_format field to table archive...
Adding ar_content_model field to table archive...
Adding page_content_model field to table page...

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:51 AM
bzimport set Reference to bz49193.
greg created this task.Jun 5 2013, 5:10 PM
greg added a comment.Jul 9 2013, 9:27 PM

Setting to enhancement/lowest as this is mostly a MediaWiki 2.0 thing :-)

(In reply to Greg Grossmeier from comment #1)

Setting to enhancement/lowest as this is mostly a MediaWiki 2.0 thing :-)

I don't think so. Flow and MassMessage will probably want/need to start using these fields soon, so it would be nice if we could get these columns added, or at least start the process. It's been about 3 MW versions now...

greg added a comment.Jun 10 2014, 6:18 PM

Sean: Bumping priority a bit on this one because as legoktm just said on IRC:
"we're going to need it for Flow at some point and the MassMessage GSoC project which will be ready by the end of the summer"

From June 11 SAL: 05:04 springle: beginning schema changes bug 49193 page_content_model

<springle> legoktm: page_content_model done, ar_content_* started, rev_content_* todo

There have been a couple of implicit and explicit requests for this, so I added bug 63885 and bug 62780. And Flow needs it to improve the way we enable Flow on a page, bug 70073.

How will WMF roll out the second part (the $wgContentHandlerUseDB = true config change)? We should test on Beta labs before production (InitialiseSettings-labs.php); will we then enable all production wikis at once or start with e.g. mediawikiwiki and the wikisource wikis whose users asked for it?

$wgContentHandlerUseDB is already set to true on testwikidatawiki and wikidatawiki, so I think we can just turn it on once the schema changes are finished, no need to do it wiki by wiki,

[05:29:18] <springle> legoktm: s3 content model fields are complete

That'll let us turn it on testwiki, test2wiki, and mediawikiwiki to start with.

Change 159089 had a related patch set uploaded by Legoktm:
Enable $wgContentHandlerUseDB on mediawikiwiki, testwiki, & test2wiki

https://gerrit.wikimedia.org/r/159089

Change 159089 merged by jenkins-bot:
Enable $wgContentHandlerUseDB on mediawikiwiki, testwiki, & test2wiki

https://gerrit.wikimedia.org/r/159089

Deployed by Erik, thanks!

Change 159457 had a related patch set uploaded by Spage:
Set wgContentHandlerDB true for enwiki-labs

https://gerrit.wikimedia.org/r/159457

Change 159457 merged by jenkins-bot:
Set wgContentHandlerDB true for enwiki-labs

https://gerrit.wikimedia.org/r/159457

Schema change is done on all wikis.

Change 170124 had a related patch set uploaded by Spage:
Typo in labs wgContentHandlerUseDB config

https://gerrit.wikimedia.org/r/170124

Change 170129 had a related patch set uploaded by Spage:
$wgContentHandlerUseDB true everywhere

https://gerrit.wikimedia.org/r/170129

Change 170124 merged by jenkins-bot:
Typo in labs wgContentHandlerUseDB config

https://gerrit.wikimedia.org/r/170124

Now that Scrum of Scrums and what used to be Bugzilla are both on Phabricator, I've merged in T1217: Enable $wgContentHandlerUseDB everywhere (bug 49193).

Spage changed the task status from Open to Stalled.Nov 26 2014, 10:26 PM

What's stalled here?

Spage changed the task status from Stalled to Open.Dec 2 2014, 12:00 AM

Basically it seems T73163 is what is stalled here, to solve that I think requires rearchitecting parts of ContentHandler as it is a bit of a break from how ContentHandler currently works.

EBernhardson changed the task status from Open to Stalled.Dec 8 2014, 10:49 PM
Spage renamed this task from Add ContentHandler columns to Wikimedia wikis, and set $wgContentHandlerUseDB = true to Set $wgContentHandlerUseDB = true on all WMF wikis.Dec 15 2014, 10:52 PM
Spage removed Springle as the assignee of this task.
Spage updated the task description. (Show Details)
jayvdb added a subscriber: jayvdb.Dec 27 2014, 10:25 AM

If no one has the editcontentmodel right then this config change (which has been live on mediawiki.org for months) has no security implications, so I moved the tasks blocking this to the new task T85847.

Change 170129 had a related patch set uploaded (by Jforrester):
$wgContentHandlerUseDB true everywhere

https://gerrit.wikimedia.org/r/170129

Patch-For-Review

Ricordisamoa added a subscriber: Ricordisamoa.

Change 170129 abandoned by Reedy:
$wgContentHandlerUseDB true everywhere

Reason:
Looks like this is a dupe/done...

'wgContentHandlerUseDB' => array(
'default' => true,
),

https://gerrit.wikimedia.org/r/170129

Legoktm closed this task as Resolved.Jan 28 2015, 5:18 PM
Legoktm claimed this task.
Legoktm removed Legoktm as the assignee of this task.